/*******************************************************************************
* File Name: cycfg_peripherals.h
*
* Description:
* Peripheral Hardware Block configuration
* This file was automatically generated and should not be modified.
* Configurator Backend 3.10.0
* device-db 4.7.1.4350
* mtb-pdl-cat1 3.7.0.27344
*
********************************************************************************
* Copyright 2023 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#if !defined(CYCFG_PERIPHERALS_H)
#define CYCFG_PERIPHERALS_H

#include "cycfg_notices.h"
#include "cy_scb_spi.h"
#include "cy_sysclk.h"
#if defined (CY_USING_HAL)
    #include "cyhal_hwmgr.h"
#endif //defined (CY_USING_HAL)
#include "cy_scb_uart.h"
#include "cy_tcpwm_counter.h"
#include "cycfg_routing.h"

#if defined(__cplusplus)
extern "C" {
#endif

#define scb_1_ENABLED 1U
#define scb_1_HW SCB1
#define scb_1_IRQ scb_1_interrupt_IRQn
#define scb_2_ENABLED 1U
#define scb_2_HW SCB2
#define scb_2_IRQ scb_2_interrupt_IRQn
#define tcpwm_0_group_0_cnt_0_ENABLED 1U
#define tcpwm_0_group_0_cnt_0_HW TCPWM0
#define tcpwm_0_group_0_cnt_0_NUM 0UL

extern const cy_stc_scb_spi_config_t scb_1_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t scb_1_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_scb_uart_config_t scb_2_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t scb_2_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_tcpwm_counter_config_t tcpwm_0_group_0_cnt_0_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t tcpwm_0_group_0_cnt_0_obj;
#endif //defined (CY_USING_HAL)

void init_cycfg_peripherals(void);
void reserve_cycfg_peripherals(void);

#if defined(__cplusplus)
}
#endif


#endif /* CYCFG_PERIPHERALS_H */
