/*******************************************************************************
* File Name: cycfg_pins.h
*
* Description:
* Pin configuration
* This file was automatically generated and should not be modified.
* Configurator Backend 3.10.0
* device-db 4.7.1.4350
* mtb-pdl-cat1 3.7.0.27344
*
********************************************************************************
* Copyright 2023 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#if !defined(CYCFG_PINS_H)
#define CYCFG_PINS_H

#include "cycfg_notices.h"
#include "cy_gpio.h"
#include "cycfg_routing.h"
#if defined (CY_USING_HAL)
    #include "cyhal_hwmgr.h"
#endif //defined (CY_USING_HAL)

#if defined(__cplusplus)
extern "C" {
#endif

#define WCO_IN_ENABLED 1U
#define WCO_IN_PORT GPIO_PRT0
#define WCO_IN_PORT_NUM 0U
#define WCO_IN_PIN 0U
#define WCO_IN_NUM 0U
#define WCO_IN_DRIVEMODE CY_GPIO_DM_ANALOG
#define WCO_IN_INIT_DRIVESTATE 1
#ifndef ioss_0_port_0_pin_0_HSIOM
    #define ioss_0_port_0_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define WCO_IN_HSIOM ioss_0_port_0_pin_0_HSIOM
#define WCO_IN_IRQ ioss_interrupts_gpio_0_IRQn
#if defined (CY_USING_HAL)
    #define WCO_IN_HAL_PORT_PIN P0_0
    #define WCO_IN P0_0
    #define WCO_IN_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define WCO_IN_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define WCO_IN_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define WCO_OUT_ENABLED 1U
#define WCO_OUT_PORT GPIO_PRT0
#define WCO_OUT_PORT_NUM 0U
#define WCO_OUT_PIN 1U
#define WCO_OUT_NUM 1U
#define WCO_OUT_DRIVEMODE CY_GPIO_DM_ANALOG
#define WCO_OUT_INIT_DRIVESTATE 1
#ifndef ioss_0_port_0_pin_1_HSIOM
    #define ioss_0_port_0_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define WCO_OUT_HSIOM ioss_0_port_0_pin_1_HSIOM
#define WCO_OUT_IRQ ioss_interrupts_gpio_0_IRQn
#if defined (CY_USING_HAL)
    #define WCO_OUT_HAL_PORT_PIN P0_1
    #define WCO_OUT P0_1
    #define WCO_OUT_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define WCO_OUT_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define WCO_OUT_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define ECO_IN_ENABLED 1U
#define ECO_IN_PORT GPIO_PRT12
#define ECO_IN_PORT_NUM 12U
#define ECO_IN_PIN 6U
#define ECO_IN_NUM 6U
#define ECO_IN_DRIVEMODE CY_GPIO_DM_ANALOG
#define ECO_IN_INIT_DRIVESTATE 1
#ifndef ioss_0_port_12_pin_6_HSIOM
    #define ioss_0_port_12_pin_6_HSIOM HSIOM_SEL_GPIO
#endif
#define ECO_IN_HSIOM ioss_0_port_12_pin_6_HSIOM
#define ECO_IN_IRQ ioss_interrupts_gpio_12_IRQn
#if defined (CY_USING_HAL)
    #define ECO_IN_HAL_PORT_PIN P12_6
    #define ECO_IN P12_6
    #define ECO_IN_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define ECO_IN_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define ECO_IN_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define ECO_OUT_ENABLED 1U
#define ECO_OUT_PORT GPIO_PRT12
#define ECO_OUT_PORT_NUM 12U
#define ECO_OUT_PIN 7U
#define ECO_OUT_NUM 7U
#define ECO_OUT_DRIVEMODE CY_GPIO_DM_ANALOG
#define ECO_OUT_INIT_DRIVESTATE 1
#ifndef ioss_0_port_12_pin_7_HSIOM
    #define ioss_0_port_12_pin_7_HSIOM HSIOM_SEL_GPIO
#endif
#define ECO_OUT_HSIOM ioss_0_port_12_pin_7_HSIOM
#define ECO_OUT_IRQ ioss_interrupts_gpio_12_IRQn
#if defined (CY_USING_HAL)
    #define ECO_OUT_HAL_PORT_PIN P12_7
    #define ECO_OUT P12_7
    #define ECO_OUT_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define ECO_OUT_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define ECO_OUT_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define DOC_MOSI_ENABLED 1U
#define DOC_MOSI_PORT GPIO_PRT2
#define DOC_MOSI_PORT_NUM 2U
#define DOC_MOSI_PIN 0U
#define DOC_MOSI_NUM 0U
#define DOC_MOSI_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define DOC_MOSI_INIT_DRIVESTATE 1
#ifndef ioss_0_port_2_pin_0_HSIOM
    #define ioss_0_port_2_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define DOC_MOSI_HSIOM ioss_0_port_2_pin_0_HSIOM
#define DOC_MOSI_IRQ ioss_interrupts_gpio_2_IRQn
#if defined (CY_USING_HAL)
    #define DOC_MOSI_HAL_PORT_PIN P2_0
    #define DOC_MOSI P2_0
    #define DOC_MOSI_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define DOC_MOSI_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define DOC_MOSI_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
#endif //defined (CY_USING_HAL)
#define DAC_CLR_ENABLED 1U
#define DAC_CLR_PORT GPIO_PRT2
#define DAC_CLR_PORT_NUM 2U
#define DAC_CLR_PIN 1U
#define DAC_CLR_NUM 1U
#define DAC_CLR_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define DAC_CLR_INIT_DRIVESTATE 1
#ifndef ioss_0_port_2_pin_1_HSIOM
    #define ioss_0_port_2_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define DAC_CLR_HSIOM ioss_0_port_2_pin_1_HSIOM
#define DAC_CLR_IRQ ioss_interrupts_gpio_2_IRQn
#if defined (CY_USING_HAL)
    #define DAC_CLR_HAL_PORT_PIN P2_1
    #define DAC_CLR P2_1
    #define DAC_CLR_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define DAC_CLR_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define DAC_CLR_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
#endif //defined (CY_USING_HAL)
#define DAC_SCLK_ENABLED 1U
#define DAC_SCLK_PORT GPIO_PRT2
#define DAC_SCLK_PORT_NUM 2U
#define DAC_SCLK_PIN 2U
#define DAC_SCLK_NUM 2U
#define DAC_SCLK_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define DAC_SCLK_INIT_DRIVESTATE 1
#ifndef ioss_0_port_2_pin_2_HSIOM
    #define ioss_0_port_2_pin_2_HSIOM HSIOM_SEL_GPIO
#endif
#define DAC_SCLK_HSIOM ioss_0_port_2_pin_2_HSIOM
#define DAC_SCLK_IRQ ioss_interrupts_gpio_2_IRQn
#if defined (CY_USING_HAL)
    #define DAC_SCLK_HAL_PORT_PIN P2_2
    #define DAC_SCLK P2_2
    #define DAC_SCLK_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define DAC_SCLK_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define DAC_SCLK_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
#endif //defined (CY_USING_HAL)
#define DAC_CS_ENABLED 1U
#define DAC_CS_PORT GPIO_PRT2
#define DAC_CS_PORT_NUM 2U
#define DAC_CS_PIN 3U
#define DAC_CS_NUM 3U
#define DAC_CS_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define DAC_CS_INIT_DRIVESTATE 1
#ifndef ioss_0_port_2_pin_3_HSIOM
    #define ioss_0_port_2_pin_3_HSIOM HSIOM_SEL_GPIO
#endif
#define DAC_CS_HSIOM ioss_0_port_2_pin_3_HSIOM
#define DAC_CS_IRQ ioss_interrupts_gpio_2_IRQn
#if defined (CY_USING_HAL)
    #define DAC_CS_HAL_PORT_PIN P2_3
    #define DAC_CS P2_3
    #define DAC_CS_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define DAC_CS_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define DAC_CS_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
#endif //defined (CY_USING_HAL)
#define SWDIO_ENABLED 1U
#define SWDIO_PORT GPIO_PRT6
#define SWDIO_PORT_NUM 6U
#define SWDIO_PIN 6U
#define SWDIO_NUM 6U
#define SWDIO_DRIVEMODE CY_GPIO_DM_PULLUP
#define SWDIO_INIT_DRIVESTATE 1
#ifndef ioss_0_port_6_pin_6_HSIOM
    #define ioss_0_port_6_pin_6_HSIOM HSIOM_SEL_GPIO
#endif
#define SWDIO_HSIOM ioss_0_port_6_pin_6_HSIOM
#define SWDIO_IRQ ioss_interrupts_gpio_6_IRQn
#if defined (CY_USING_HAL)
    #define SWDIO_HAL_PORT_PIN P6_6
    #define SWDIO P6_6
    #define SWDIO_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define SWDIO_HAL_DIR CYHAL_GPIO_DIR_BIDIRECTIONAL 
    #define SWDIO_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_PULLUP
#endif //defined (CY_USING_HAL)
#define SWDCK_ENABLED 1U
#define SWDCK_PORT GPIO_PRT6
#define SWDCK_PORT_NUM 6U
#define SWDCK_PIN 7U
#define SWDCK_NUM 7U
#define SWDCK_DRIVEMODE CY_GPIO_DM_PULLDOWN
#define SWDCK_INIT_DRIVESTATE 1
#ifndef ioss_0_port_6_pin_7_HSIOM
    #define ioss_0_port_6_pin_7_HSIOM HSIOM_SEL_GPIO
#endif
#define SWDCK_HSIOM ioss_0_port_6_pin_7_HSIOM
#define SWDCK_IRQ ioss_interrupts_gpio_6_IRQn
#if defined (CY_USING_HAL)
    #define SWDCK_HAL_PORT_PIN P6_7
    #define SWDCK P6_7
    #define SWDCK_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define SWDCK_HAL_DIR CYHAL_GPIO_DIR_BIDIRECTIONAL 
    #define SWDCK_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_PULLDOWN
#endif //defined (CY_USING_HAL)
#define ioss_0_port_9_pin_0_ENABLED 1U
#define ioss_0_port_9_pin_0_PORT GPIO_PRT9
#define ioss_0_port_9_pin_0_PORT_NUM 9U
#define ioss_0_port_9_pin_0_PIN 0U
#define ioss_0_port_9_pin_0_NUM 0U
#define ioss_0_port_9_pin_0_DRIVEMODE CY_GPIO_DM_HIGHZ
#define ioss_0_port_9_pin_0_INIT_DRIVESTATE 1
#ifndef ioss_0_port_9_pin_0_HSIOM
    #define ioss_0_port_9_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define ioss_0_port_9_pin_0_IRQ ioss_interrupts_gpio_9_IRQn
#if defined (CY_USING_HAL)
    #define ioss_0_port_9_pin_0_HAL_PORT_PIN P9_0
    #define ioss_0_port_9_pin_0 P9_0
    #define ioss_0_port_9_pin_0_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define ioss_0_port_9_pin_0_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define ioss_0_port_9_pin_0_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_NONE
#endif //defined (CY_USING_HAL)
#define ioss_0_port_9_pin_1_ENABLED 1U
#define ioss_0_port_9_pin_1_PORT GPIO_PRT9
#define ioss_0_port_9_pin_1_PORT_NUM 9U
#define ioss_0_port_9_pin_1_PIN 1U
#define ioss_0_port_9_pin_1_NUM 1U
#define ioss_0_port_9_pin_1_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define ioss_0_port_9_pin_1_INIT_DRIVESTATE 1
#ifndef ioss_0_port_9_pin_1_HSIOM
    #define ioss_0_port_9_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define ioss_0_port_9_pin_1_IRQ ioss_interrupts_gpio_9_IRQn
#if defined (CY_USING_HAL)
    #define ioss_0_port_9_pin_1_HAL_PORT_PIN P9_1
    #define ioss_0_port_9_pin_1 P9_1
    #define ioss_0_port_9_pin_1_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define ioss_0_port_9_pin_1_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define ioss_0_port_9_pin_1_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
#endif //defined (CY_USING_HAL)

extern const cy_stc_gpio_pin_config_t WCO_IN_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t WCO_IN_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t WCO_OUT_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t WCO_OUT_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t ECO_IN_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t ECO_IN_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t ECO_OUT_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t ECO_OUT_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t DOC_MOSI_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t DOC_MOSI_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t DAC_CLR_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t DAC_CLR_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t DAC_SCLK_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t DAC_SCLK_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t DAC_CS_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t DAC_CS_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t SWDIO_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t SWDIO_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t SWDCK_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t SWDCK_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t ioss_0_port_9_pin_0_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t ioss_0_port_9_pin_0_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t ioss_0_port_9_pin_1_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t ioss_0_port_9_pin_1_obj;
#endif //defined (CY_USING_HAL)

void init_cycfg_pins(void);
void reserve_cycfg_pins(void);

#if defined(__cplusplus)
}
#endif


#endif /* CYCFG_PINS_H */
